package com.starbuds.server.service.media.agora.constant;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/31
 */
public class AgoraRealTimeEventType {
    /**
     * 创建频道
     */
    public static final int CHANNEL_CREATE = 101;

    /**
     * 销毁频道
     */
    public static final int CHANNEL_DESTROY = 102;

    /**
     * 直播场景下，主播加入频道
     */
    public static final int ANCHOR_JOIN_CHANNEL = 103;

    /**
     * 直播场景下，主播离开频道。
     */
    public static final int ANCHOR_LEAVE_CHANNEL = 104;

    /**
     * 直播场景下，观众加入频道。
     */
    public static final int AUDIENCE_JOIN_CHANNEL = 105;

    /**
     * 直播场景下，观众离开频道。
     */
    public static final int AUDIENCE_LEAVE_CHANNEL = 106;

    /**
     * 通信场景下，用户加入频道。
     */
    public static final int USER_JOIN_COMMUNICATION_MODE = 107;

    /**
     * 通信场景下，用户离开频道。
     */
    public static final int USER_LEAVE_COMMUNICATION_MODE = 108;
}
