package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.activity.GiftLoveItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/6/9 14:34
 * @Description 真爱榜礼物
 */
@Mapper
@Repository
public interface GiftLoveDAO {

    /**
     * 判断是否存在
     *
     * @param giftId
     * @return
     */
    int countById(@Param("giftId") Long giftId);

    /**
     * 获取真爱榜礼物
     *
     * @return
     */
    List<GiftLoveItem> selectTrueLoveGifts();
}
