package com.starbuds.server.service.media.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/1/27 13:33
 * @Description 礼物标签
 */
@Mapper
@Repository
public interface GiftTagDAO {

    /**
     * 根据tagName获取标签
     *
     * @param tagName
     * @return
     */
    Long selectTagIdByName(@Param("tagName") String tagName);

}
