package com.starbuds.server.service.media.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/12
 */
@Mapper
@Repository
public interface LiveCategoryDAO {
    /**
     * 查询是否允许售卖商品
     *
     * @param categoryId
     * @return
     */
    Integer selectSellEnable(@Param("categoryId") Long categoryId);
}
