package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.SingleChatEvaluateDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/23
 */
@Mapper
@Repository
public interface SingleChatEvaluateDAO {
    /**
     * 创建记录
     *
     * @param singleChatEvaluateDO
     * @return
     */
    int insert(SingleChatEvaluateDO singleChatEvaluateDO);

    /**
     * 根据 id 统计
     *
     * @param hisId
     * @param userId
     * @return
     */
    int countById(@Param("hisId") String hisId, @Param("userId") Long userId);
}
