package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.SingleChatFreeHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/6
 */
@Mapper
@Repository
public interface SingleChatFreeHisDAO {
    /**
     * 创建记录
     *
     * @param singleChatFreeHisDO
     * @return
     */
    int insert(SingleChatFreeHisDO singleChatFreeHisDO);

    /**
     * 根据 id 统计
     *
     * @param userId
     * @return
     */
    int countById(@Param("userId") Long userId);
}
