package com.starbuds.server.service.media.impl;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.pojo.media.GiftItemVO;
import com.starbuds.server.common.pojo.media.GiftItemsGetQuery;
import com.starbuds.server.common.service.media.GiftService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/1/10 14:18
 * @Description
 */
@Slf4j
@SpringBootTest
@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
class GiftServiceImplTest {

    @Autowired
    GiftService giftService;

    @Test
    void getGiftItems() {
        GiftItemsGetQuery query = GiftItemsGetQuery.builder().giftCategory(1).giftPriceType(11).giftType(1).build();
        List<GiftItemVO> giftItems = giftService.getGiftItems(query);
        System.out.println(JSON.toJSONString(giftItems, true));
    }
}