package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.ChatGroupDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/23
 */
@Mapper
@Repository
public interface ChatGroupDAO {
    /**
     * 创建聊天组
     *
     * @param chatGroupDO
     * @return
     */
    int insert(ChatGroupDO chatGroupDO);

    /**
     * 根据 id 查询
     *
     * @param groupId
     * @return
     */
    ChatGroupDO selectById(@Param("groupId") String groupId);
}
