package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.GiftComboConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/3/30
 */
@Mapper
@Repository
public interface GiftComboConfigDAO {
    /**
     * 查询最后启用配置
     *
     * @return
     */
    @Select("SELECT configId, configName, configData FROM tb_gift_combo_config WHERE status > 0 ORDER BY enableTime DESC LIMIT 1")
    GiftComboConfigDO selectLatestEnabled();
}
