package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.ImGroupChatMsgDO;
import com.starbuds.server.common.pojo.message.im.chat.ImGroupChatMsgVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/26 16:46
 * @Description 群组消息
 */
@Mapper
@Repository
public interface ImGroupChatMsgDAO {

    /**
     * 插入
     *
     * @param msgDO
     * @return
     */
    boolean insert(ImGroupChatMsgDO msgDO);

    /**
     * 获取最近一条消息
     *
     * @param msgType
     * @return
     */
    ImGroupChatMsgVO selectLast(@Param("msgType") String msgType);
}
