package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.media.LiveRankVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/10
 */
@Mapper
@Repository
public interface LiveRankDAO {
    /**
     * 查询排行项
     *
     * @param anchorUserId
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<LiveRankVO> selectItems(@Param("anchorUserId") Long anchorUserId, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);
}
