package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.LiveShareHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/5
 */
@Mapper
@Repository
public interface LiveShareHisDAO {
    /**
     * 创建记录
     *
     * @param liveShareHisDO
     * @return
     */
    int insert(LiveShareHisDO liveShareHisDO);

    /**
     * 查询最新分享记录
     *
     * @param anchorUserId
     * @param userId
     * @return
     */
    LiveShareHisDO selectLast(@Param("anchorUserId") Long anchorUserId, @Param("userId") Long userId);
}
